[Human Wizard Class Transfer]:
A Human Wizard of level 40 can complete a 2nd class transfer to become a Sorcerer/Sorceress, Necromancer, or Warlock. In order to accomplish the 2nd class transfer, a player must successfully complete three quests. The first of the three quests can only be undertaken by a character of level 35 or above. If you would like to view more detailed information, please click the class you are interested in.
Sorcerer/ss
Necromancer
Warlock
Return
Close Window